@echo off
MODE CON:cols=100 lines=60
COLOR F0
TITLE GANG
CLS

call GANG-setup.bat


:///////////////////////////////////////////
:MENU
COLOR F0
:print out all of the steps so you can see what you'd like to select...
CLS
echo.
echo.
echo.
echo 1=Bootloader
echo 2=Lockbits
echo 3=Test Code
echo 4=Check Results
echo 5=Loop
echo 6=Setup
echo.
:set the parameter "step" to a number so we can use it later to call that step...
set /p step=Type a number to select a step:
if "%step%" == "1" goto bootloader
if "%step%" == "2" goto lockbits
if "%step%" == "3" goto testcode
if "%step%" == "4" goto checkresults
if "%step%" == "5" goto loop
if "%step%" == "6" goto setup
:///////////////////////////////////////////

:XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
:setup
CLS
call GANG-setup.bat c
goto MENU
:XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

:XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
:bootloader
start call "bootloader.bat" %p1% p1
start call "bootloader.bat" %p2% p2
start call "bootloader.bat" %p3% p3
start call "bootloader.bat" %p4% p4
start call "bootloader.bat" %p5% p5
start call "bootloader.bat" %p6% p6
start call "bootloader.bat" %p7% p7
start call "bootloader.bat" %p8% p8
start call "bootloader.bat" %p9% p9
goto MENU
:XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX


:XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
:lockbits
start call "lockbits.bat" %p1% p1
start call "lockbits.bat" %p2% p2
start call "lockbits.bat" %p3% p3
start call "lockbits.bat" %p4% p4
start call "lockbits.bat" %p5% p5
start call "lockbits.bat" %p6% p6
start call "lockbits.bat" %p7% p7
start call "lockbits.bat" %p8% p8
start call "lockbits.bat" %p9% p9
goto MENU
:XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX


:XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
:testcode
start call "testcode.bat" %p1% p1
start call "testcode.bat" %p2% p2
start call "testcode.bat" %p3% p3
start call "testcode.bat" %p4% p4
start call "testcode.bat" %p5% p5
start call "testcode.bat" %p6% p6
start call "testcode.bat" %p7% p7
start call "testcode.bat" %p8% p8
start call "testcode.bat" %p9% p9
goto MENU
:XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX


:XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
:checkresults
color 0A
CLS
echo P1:
call check_results.bat p1
echo.
echo P2:
call check_results.bat p2
echo.
echo P3:
call check_results.bat p3
echo.
echo P4:
call check_results.bat p4
echo.
echo P5:
call check_results.bat p5
echo.
echo P6:
call check_results.bat p6
echo.
echo P7:
call check_results.bat p7
echo.
echo P8:
call check_results.bat p8
echo.
echo P9:
call check_results.bat p9
echo.
pause
goto MENU
:XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX


:XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
:loop
@echo off
start call "bootloader.bat" %p1% p1
start call "bootloader.bat" %p2% p2
start call "bootloader.bat" %p3% p3
start call "bootloader.bat" %p4% p4
start call "bootloader.bat" %p5% p5
start call "bootloader.bat" %p6% p6
start call "bootloader.bat" %p7% p7
start call "bootloader.bat" %p8% p8
start call "bootloader.bat" %p9% p9
CLS
echo NEXT STEP: LOCKBITS
pause

start call "lockbits.bat" %p1% p1
start call "lockbits.bat" %p2% p2
start call "lockbits.bat" %p3% p3
start call "lockbits.bat" %p4% p4
start call "lockbits.bat" %p5% p5
start call "lockbits.bat" %p6% p6
start call "lockbits.bat" %p7% p7
start call "lockbits.bat" %p8% p8
start call "lockbits.bat" %p9% p9
echo NEXT STEP: TESTCODE
pause

start call "testcode.bat" %p1% p1
start call "testcode.bat" %p2% p2
start call "testcode.bat" %p3% p3
start call "testcode.bat" %p4% p4
start call "testcode.bat" %p5% p5
start call "testcode.bat" %p6% p6
start call "testcode.bat" %p7% p7
start call "testcode.bat" %p8% p8
start call "testcode.bat" %p9% p9
echo NEXT STEP: CHECK RESULTS
pause

color 0A
CLS
echo P1:
call check_results.bat p1
echo.
echo P2:
call check_results.bat p2
echo.
echo P3:
call check_results.bat p3
echo.
echo P4:
call check_results.bat p4
echo.
echo P5:
call check_results.bat p5
echo.
echo P6:
call check_results.bat p6
echo.
echo P7:
call check_results.bat p7
echo.
echo P8:
call check_results.bat p8
echo.
echo P9:
call check_results.bat p9
echo.
echo NEXT STEP: start over (BOOTLOADER)
pause
goto loop
:XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX


