/*
Pete Lewis
10/31/2011
Sparkfun Electronics

This code is written to pair up with the Arduino Pro Mini Ganged Programmer  (#239 in the hardward cabinet).
Every I/O pin on the ATMega328 is broken out on the board. On the pogobed, there is a pogopin connecting to every one of these I/Os.
Through the bottom layer of the pogobed, these I/0s are connected in a way so that you can test the solder connections quickly with some "pinging" of each line.
If each solder connection passes the test, then the the STAT LED on the board turns on solid.
If something fails, then the STAT LED stays low to indicate failure.

 */

int delaytime = 10;
int failure = 0;
int success = 0;


void setup()   {  
  pinMode(13, OUTPUT); 
  digitalWrite(13, LOW);
  
  //Serial.begin(9600);
  

}

void loop()                     
{
  

failure = 0;
success = 0;

test_group(14,15,16,17);
test_group(18, 19, 0, 1);
test_group(2, 3, 4, 5);
test_group4(6, 7, 8, 9, 10);

/*
if(failure > 0){
  Serial.print("failure=");
  Serial.println(failure);
}
*/



  if(failure == 0)
  {
  //Serial.print("success=");
  //Serial.println(success);
    digitalWrite(13, HIGH);  
    delay(2000);
  }
  else
  {
    digitalWrite(13, HIGH); 
    delay(50);
    digitalWrite(13, LOW);      
  }
}


void test_group(int a, int b, int c, int d){

  ////////////////////////////////////part 1
    
  pinMode(a, OUTPUT); 
  digitalWrite(a, HIGH);
  delay(delaytime);  
  
  pinMode(b, OUTPUT); 
  digitalWrite(b, LOW);
  delay(delaytime);  
  
  pinMode(c, INPUT); 
  if(digitalRead(c) == 1){ 
  success = success + 1;
  }
  else{
  failure = failure +1;
  }
  pinMode(d, INPUT); 
  if(digitalRead(d) == 0){ 
  success = success + 1;
  }  
  else{
  failure = failure +1;
  }
  
  ////////////////////////////////////part 2
  
  
    pinMode(a, OUTPUT); 
  digitalWrite(a, LOW);
  delay(delaytime);  
  
  pinMode(b, OUTPUT); 
  digitalWrite(b, HIGH);
  delay(delaytime);  
  
  pinMode(c, INPUT); 
  if(digitalRead(c) == 0){ 
  success = success + 1;
  }
  else{
  failure = failure +1;
  }
  pinMode(d, INPUT); 
  if(digitalRead(d) == 1){ 
  success = success + 1;
  }  
  else{
  failure = failure +1;
  }
  
  
  
  
  
}

void test_group4(int a, int b, int c, int d, int e){

  pinMode(a, OUTPUT); 
  digitalWrite(a, HIGH);
  delay(delaytime);  
  
  pinMode(b, OUTPUT); 
  digitalWrite(b, LOW);
  delay(delaytime);  
  
  pinMode(c, INPUT); 
  if(digitalRead(c) == 1){ 
  success = success + 1;
  }
  else{
  failure = failure +1;
  }
  pinMode(d, INPUT); 
  if(digitalRead(d) == 0){ 
  success = success + 1;
  }  
  else{
  failure = failure +1;
  }
  pinMode(e, INPUT); 
  if(digitalRead(e) == 1){ 
  success = success + 1;
  }  
  else{
  failure = failure +1;
  }
  
  
  
    ////////////////////////////////////part 2
  
  
    pinMode(a, OUTPUT); 
  digitalWrite(a, LOW);
  delay(delaytime);  
  
  pinMode(b, OUTPUT); 
  digitalWrite(b, HIGH);
  delay(delaytime);  
  
  pinMode(c, INPUT); 
  if(digitalRead(c) == 0){ 
  success = success + 1;
  }
  else{
  failure = failure +1;
  }
  pinMode(d, INPUT); 
  if(digitalRead(d) == 1){ 
  success = success + 1;
  }  
  else{
  failure = failure +1;
  }
  pinMode(e, INPUT); 
  if(digitalRead(e) == 0){ 
  success = success + 1;
  }  
  else{
  failure = failure +1;
  }
  
  
  
  
}




