@echo off
:MODE CON:cols=100 lines=50
COLOR F0
CLS


:///////////////////////////////////////////
:IF a previous setup has already been done, use it.

IF EXIST temp_setup.txt (
goto load_temp_setup
) ELSE (
echo no previous setup exists...
echo.
echo.
goto setup_menu
)



::if %1 == d goto default_setup
::if %1 == c goto setup_menu





:///////////////////////////////////////////
:SETUP_MENU
COLOR F0
:print out all of the steps so you can see what you'd like to select...

echo.
echo.
echo.
echo 1=Show current setup
echo 2=Create New Setup
echo 3=Main Menu

echo.
:set the parameter "step" to a number so we can use it later to call that step...
set /p step=Type a number to select a step:
CLS
if "%step%" == "1" goto show
if "%step%" == "2" goto setletters
if "%step%" == "3" goto menu
:///////////////////////////////////////////



:show
echo p1 %p1user% (%p1%)
echo p2 %p2user% (%p2%)
echo p3 %p3user% (%p3%)
echo p4 %p4user% (%p4%)
echo p5 %p5user% (%p5%)
echo p6 %p6user% (%p6%)
echo p7 %p7user% (%p7%)
echo p8 %p8user% (%p8%)
echo p9 %p9user% (%p9%)

goto setup_menu

:setletters

set /p p1user=set p1:
set /p p2user=set p2:
set /p p3user=set p3:
set /p p4user=set p4:
set /p p5user=set p5:
set /p p6user=set p6:
set /p p7user=set p7:
set /p p8user=set p8:
set /p p9user=set p9:

> temp_setup.txt echo p1 %p1user% p1user
>> temp_setup.txt echo p2 %p2user% p2user
>> temp_setup.txt echo p3 %p3user% p3user
>> temp_setup.txt echo p4 %p4user% p4user
>> temp_setup.txt echo p5 %p5user% p5user
>> temp_setup.txt echo p6 %p6user% p6user
>> temp_setup.txt echo p7 %p7user% p7user
>> temp_setup.txt echo p8 %p8user% p8user
>> temp_setup.txt echo p9 %p9user% p9user


call MKII-DEFINES.bat p1 %p1user%
call MKII-DEFINES.bat p2 %p2user%
call MKII-DEFINES.bat p3 %p3user%
call MKII-DEFINES.bat p4 %p4user%
call MKII-DEFINES.bat p5 %p5user%
call MKII-DEFINES.bat p6 %p6user%
call MKII-DEFINES.bat p7 %p7user%
call MKII-DEFINES.bat p8 %p8user%
call MKII-DEFINES.bat p9 %p9user%

goto show



:default_setup

set p1user=a
set p2user=b
set p3user=c
set p4user=d
set p5user=e
set p6user=f
set p7user=g
set p8user=h
set p9user=i

call MKII-DEFINES.bat p1 %p1user%
call MKII-DEFINES.bat p2 %p2user%
call MKII-DEFINES.bat p3 %p3user%
call MKII-DEFINES.bat p4 %p4user%
call MKII-DEFINES.bat p5 %p5user%
call MKII-DEFINES.bat p6 %p6user%
call MKII-DEFINES.bat p7 %p7user%
call MKII-DEFINES.bat p8 %p8user%
call MKII-DEFINES.bat p9 %p9user%

goto eof

:load_temp_setup

echo loading previous setup...


FOR /F "tokens=1,2,3 delims= " %%i in (temp_setup.txt) do (
set %%k=%%j
call MKII-DEFINES.bat %%i %%j
)


echo done.
goto setup_menu


:eof


